#Wed, 23 Oct 2024 17:43:13 +0000
# Bundle platform configuration, controls deployment layout for "YouTrack + Hub" bundle:
# no bundle http proxy, no admin console, single process, YT deployed into root application context
# See also http://confluence.jetbrains.com/display/RNGINT/Bundle+contract

service.youtrack.bundledin=bundleProcess
service.hub.bundledin=bundleProcess
default.service=youtrack
bundle.product.name=YouTrack
bundle.product.version=2024.3
bundle.product.build=48383
bundle.product.presentation_name=JetBrains YouTrack 2024.3
bundle.product.whats-new-link=https\://jetbrains.com/youtrack/whatsnew/2024.3
bundle.product.proxy-help-link=https\://www.jetbrains.com/help/youtrack/server/2024.3/Reverse-Proxy-Configuration.html
bundle.wizard.upgrade_available=true
bundle.wizard.external_hub_permitted=false

bundle.listen-address.enabled-in-wizard=true
bundle.upgrade.help-link=https\://www.jetbrains.com/help/youtrack/server/2024.3/Upgrade-YouTrack.html
bundle.locales.community.link=https\://crowdin.com/project/youtrack-custom-localization
bundle.tls-exclude-protocols=SSL,SSLv2,SSLv2Hello,SSLv3,TLSv1,TLSv1.1
bundle.minimal-hub-version=1.0.176

jetbrains.youtrack.hasEmbeddedHub=true

# hub ui modifications
jetbrains.jetpass.frontend=../admin/hub
jetbrains.hub.auth.url=../../hub/auth
jetbrains.jetpass.groups.list=false
jetbrains.jetpass.add.license.hide=true
jetbrains.hub.user.sshpublickeys.hide=true
jetbrains.hub.user.profile.locale.hide=true

bundle.product.upgrade.minimal.version=2023.1
bundle.product.tls-files-generation-help-link=https\://www.jetbrains.com/help/youtrack/server/2024.3/tls-keystores-and-certificates-for-server.html

# adjust xodus cache size when running with an embedded Hub
exodus.memoryUsagePercentage=40

bundle.product.manufacturer=JetBrains

bundle.entropy-check=true
